classification
Title: certificate in Lib/test/test_ssl.py expires in February 2013
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, janssen, pitrou
Priority: low Keywords:

Created on 2007-08-29 00:39 by janssen, last changed 2010-10-08 23:08 by pitrou. This issue is now closed.

Messages (4)
msg55393 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-08-29 00:39
Just a note that the certificate in Lib/test/test_ssl.py will expire in 
February of 2013 and have to be re-made.
msg87789 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-05-15 01:57
Maybe this should be added to a PEP? 

IMO it would be better if the a new certificate could be issued soon
enough so that test_ssl in any given version works at least until that
version stops being supported.
msg112226 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-07-31 23:27
test_ssl.py should probably have options, when invoked directly, to produce the certificates used for testing.
msg118234 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-10-08 23:08
Cert generation script committed in r85327.
History
Date User Action Args
2010-10-08 23:08:27pitrousetstatus: open -> closed
resolution: fixed
messages: + msg118234

stage: resolved
2010-07-31 23:27:55pitrousetmessages: + msg112226
versions: + Python 3.2, - Python 2.6, Python 3.0
2010-07-31 23:16:22eric.araujosetnosy: + pitrou
2009-05-15 01:57:56ajaksu2setnosy: + ajaksu2
messages: + msg87789
2007-08-29 00:39:36janssencreate